org.apache.hc.core5.http.impl.io

## Class NoResponseOutOfOrderStrategy

- java.lang.Object
- - org.apache.hc.core5.http.impl.io.NoResponseOutOfOrderStrategy

- All Implemented Interfaces:
    ResponseOutOfOrderStrategy

      @Contract(threading=IMMUTABLE)
      public final class NoResponseOutOfOrderStrategy
      extends Object
      implements ResponseOutOfOrderStrategy

  An implementation of `ResponseOutOfOrderStrategy` which does not check for early responses. Early response detection requires 1ms blocking reads and incurs a hefty performance cost for large uploads.
  Since:
    5.1
  See Also:
    `MonitoringResponseOutOfOrderStrategy`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NoResponseOutOfOrderStrategy` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoResponseOutOfOrderStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isEarlyResponseDetected(ClassicHttpRequest request, HttpClientConnection connection, InputStream inputStream, long totalBytesSent, long nextWriteSize)` Called before each write to the socket `IOException` with the number of bytes that have already been sent, and the size of the next chunk to be written that will occur if this check does not encounter an out of order response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final NoResponseOutOfOrderStrategy INSTANCE

  - ### Constructor Detail

    - #### NoResponseOutOfOrderStrategy

          public NoResponseOutOfOrderStrategy()

  - ### Method Detail

    - #### isEarlyResponseDetected

          public boolean isEarlyResponseDetected(ClassicHttpRequest request,
                                                 HttpClientConnection connection,
                                                 InputStream inputStream,
                                                 long totalBytesSent,
                                                 long nextWriteSize)

      Description copied from interface: `ResponseOutOfOrderStrategy`
      Called before each write to the socket `IOException` with the number of bytes that have already been sent, and the size of the next chunk to be written that will occur if this check does not encounter an out of order response.
      Specified by:
        `isEarlyResponseDetected` in interface `ResponseOutOfOrderStrategy`
      Parameters:
        `request` - The current request.
        `connection` - The connection used to send the current request.
        `inputStream` - The response stream, this may be used to check for an early response.
        `totalBytesSent` - Number of bytes that have already been sent.
        `nextWriteSize` - The size of a socket write operation that will follow this check.
      Returns:
        True if an early response was detected, otherwise false.

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.